/**
 * Implements a Node holding an integer and a pointer to another Node.
 *
 * @author Michael Dube
 * @version 2.0
 * @since September 27 2019
 */
class Node {

    int value;
    Node next;

    /**
     * Creates node with value v and pointer to node n
     *
     * @param v stored integer
     * @param n next node
     */
    Node(int v, Node n) {
        value = v;
        next = n;
    } // constructor

} // Node
