/**
 * Tutorial 2.  Debugging.
 *
 * @author Michael Dube
 * @version 2.0
 * @since September 27 2019
 */
public class T2 {

    private Stack theStack = new Stack();

    private T2() {

        push(10);
        push(7);
        pop();
        push(111);
        pop();
        pop();
        push(7);
        push(4442);
        pop();

    } // constructor

    private void push(int v){
        print("Push", theStack.push(v));
    }

    private void pop(){
        print("Pop", theStack.pop());
    }

    void print(String s, int v) {
        System.out.print(s + "\t" + v + "\t\t");
        theStack.print();
    }

    public static void main(String[] args) {
        new T2();
    }

} // main
